Bug 496544 - Enhancement request: 1280x960 @70hz
Enhancement request: 1280x960 @70hz
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 22:02 EDT by Callum Lerwick
Modified: 2018-04-11 03:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 15:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Callum Lerwick 2009-04-19 22:02:30 EDT
Description of problem:
Xorg only has modelines for 1280x960 at 60hz and 85hz. That's quite a jump. I have a number of 17in monitors, which support a maximum of 1280x1024 @60hz. 60hz is extremely undesirable on a CRT, and 1280x1024 is also undesirable as it is not 4:3. 1152x864 is a bit low rez IMHO. So as a compromise I came up with a modeline for 1280x960 (which is 4:3) at 70hz, which is about the same bandwidth as 1280x1024@60 and pretty much maxing out the bandwidth capabilites of this class of monitor. However I ran in to one pesky monitor who's EDID was such that Xorg refused to use the modeline as the bandwidth was just a hair too high, so I recalculated a modeline for 1280x960 at ~69hz. Which due to necessary rounding just ended up tweaking the dotclock down by 1.8 mhz...

I've used these modelines for many years, with many video cards and many monitors with no problems. Since the cool kids don't edit or even have an xorg.conf any more, I'd like to get these merged.

   ModeLine "1280x960" 119.2 1280 1344 1600 1728 960 962 974 1000
   ModeLine "1280x960" 121.0 1280 1344 1600 1728 960 962 974 1000

For completeness, we should probably have 72hz and 75hz modelines as well...
Comment 1 Matěj Cepl 2009-04-20 12:37:19 EDT
Still, can we get /var/log/Xorg.0.log from your system, please?
Comment 2 Callum Lerwick 2009-04-20 14:05:39 EDT
I suppose that should be "had" a number 17in monitors... Most of them have died at this point and I'm using a 19in CRT ATM. Incidentally a current xorg.log is over at bug #496539.
Comment 3 Matěj Cepl 2009-04-21 08:04:37 EDT
(In reply to comment #2)
> I suppose that should be "had" a number 17in monitors... Most of them have died
> at this point and I'm using a 19in CRT ATM. Incidentally a current xorg.log is
> over at bug #496539.  

That would be attachment 340269 [details]
Comment 4 Bug Zapper 2009-06-09 10:10:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:26:59 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Matěj Cepl 2010-02-26 07:25:09 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 8 Bug Zapper 2010-04-27 09:47:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Vedran Miletić 2010-05-24 15:25:39 EDT
Closing per comment 7.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Note You need to log in before you can comment on or make changes to this bug.